import type { ProofAttachmentFormat } from '../../../formats/models/ProofAttachmentFormat';
import { AgentMessage } from '../../../../../agent/AgentMessage';
import { Attachment } from '../../../../../decorators/attachment/Attachment';
import { ProofFormatSpec } from '../../../models/ProofFormatSpec';
export interface V2RequestPresentationMessageOptions {
    id?: string;
    comment?: string;
    goalCode?: string;
    presentMultiple?: boolean;
    willConfirm?: boolean;
    parentThreadId?: string;
    attachmentInfo: ProofAttachmentFormat[];
}
export declare class V2RequestPresentationMessage extends AgentMessage {
    constructor(options: V2RequestPresentationMessageOptions);
    addRequestPresentationsAttachment(attachment: ProofAttachmentFormat): void;
    getAttachmentByFormatIdentifier(formatIdentifier: string): Attachment;
    /**
     * Every attachment has a corresponding entry in the formats array.
     * This method pairs those together in a {@link ProofAttachmentFormat} object.
     */
    getAttachmentFormats(): ProofAttachmentFormat[];
    readonly type: string;
    static readonly type: import("../../../../../utils/messageType").ParsedMessageType;
    comment?: string;
    goalCode?: string;
    willConfirm: boolean;
    presentMultiple: boolean;
    formats: ProofFormatSpec[];
    requestPresentationsAttach: Attachment[];
}
